launcher isnt working for me, cause cant check witch version is my windows 10. current version is 19042,985 (above minimum version, in system requeriments)